# PulpAnsibleClient::PatchedansibleAnsibleRepository

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_labels** | [**Object**](.md) |  | [optional] 
**name** | **String** | A unique name for this repository. | [optional] 
**description** | **String** | An optional description. | [optional] 
**retained_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. This is provided as a tech preview in Pulp 3 and may change in the future. | [optional] 
**remote** | **String** |  | [optional] 
**last_synced_metadata_time** | **DateTime** | Last synced metadata time. | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::PatchedansibleAnsibleRepository.new(pulp_labels: null,
                                 name: null,
                                 description: null,
                                 retained_versions: null,
                                 remote: null,
                                 last_synced_metadata_time: null)
```


